Copyright: Copyright (C) 1995,1996, ProtoView Development Corporation


numeric expression

Any expression that can be evaluated as a number. Elements of the expression can include any combination of keywords, variables, constants, and operators that result in a number.


date expression

Date variables are stored as IEEE 64-bit (8-byte) floating-point numbers that represent dates ranging from 1 January 100 to 31 December 9999 and times from 0:00:00 to 23:59:59.  Any recognizable literal date values can be assigned to Date variables.  Literal dates must be enclosed within number sign characters (#), for example, #January 1, 1993# or #1 Jan 93#.

Date variables display dates according to the short date format recognized by your computer.  Times display according to the time format (either 12- or 24-hour) recognized by your computer.

When other numeric data types are converted to Date, values to the left of the decimal represent date information while values to the right of the decimal represent time.  Midnight is 0 and midday is .5.  Negative whole numbers represent dates before 30 December 1899.


Boolean expression

An expression that evaluates to either True or False.


string expression

Any expression that evaluates to a sequence of contiguous characters. Elements of the expression can include a function that returns a string, a string literal, a string constant, a string variable, a string Variant, or a function that returns a string Variant (Var Type 8).


object expression

An expression that specifies a particular object.  The expression can include any of the object’s containers.  For example, if your application has an Application object that contains a Document object that contains a Text object, the following are valid object expressions:

Application.Document.Text

Application.Text

Document.Text

Text


constant

A named item that retains a constant value throughout the execution of a program, as opposed to a variable, whose value can change during execution.  Each host application can define its own set of constants.  Additional constants may be defined by the user with the Const statement.  Constants can be used anywhere in your code in place of actual values.  A constant may be a string or a numeric literal, another constant, or any combination that includes arithmetic or logical operators except ls or exponentiation.  For example:

Const A = “My String”


object library

A file with the .OLB extension that provides information to OLE Automation controllers (like Visual Basic) about available OLE Automation objects.  You can use the Object Browser to examine the contents of an object library to get information about the objects provided.


Object Browser

A dialog box that lets you examine the contents of an object library to get information about the objects provided.


Control Panel

A set of programs that control your system configuration.  You use Control Panel utilities to adjust hardware and software options, such as desktop colors, printer selections, date and number formats, fonts, and locale settings, such as language and system of measurement.


design time

The time during which you build an application in the development environment by adding controls, setting control or form properties, and so on.  In contrast, during run time, you interact with the application as a user would.


run time

The time when code is running. During run time, you interact with the application as a user would.


multicolumn TreeView control

A multicolumn TreeView control is a TreeView control with its data arranged in a set of columns that go across the page. As opposed to the normal style, where all the data is arranged in a single column down the page.


Properties window

A window used to display or change properties of a selected form or control at design-time. Some custom controls have customized Property windows.


bitmap

An image represented by pixels and stored as a collection of bits in which each bit corresponds to one pixel. On color systems, more than one bit corresponds to each pixel. A bitmap usually has a .BMP filename extension.


icon

A graphical representation of an object or concept commonly used to represent minimized applications in Microsoft Windows. Essentially, an icon is a bitmap with a maximum size of 32 x 32 pixels. Icons have an .ICO filename extension.


metafile

A file that stores an image as graphical objects (lines, circles, polygons) rather than as pixels. There are two types of metafiles, standard and enhanced. Standard metafiles usually have a .WMF filename extension. Enhanced metafiles usually have an .EMF filename extension. Metafiles preserve an image more accurately than pixels when the image is resized.


Empty Branch Object

An empty Branch object is a Branch object that does not have an associated TreeView control item. Methods that return Branch objects may return an empty Branch object to signify the end of a list or a search failure. You can detect an empty Branch by using the IsValid member function.


PICS Progress Bar AboutBox Method
	AboutBox Method
Use the About command to find the version number and other pertinent information about PICS.


	Appearance Property
Returns or sets the paint style of a ProgressBar control. Read only at run time.

Syntax

Visual Basic	object.Appearance

Visual C++	short object.GetAppearance();

The object placeholder represents an object expression that evaluates to ProgressBar control.

Settings

The Appearance property settings are:

Setting	Description

0	Flat.  Paints controls and forms with without visual effects.

1	(Default) 3D.  Paints controls with three-dimensional effects.

Remarks

If set to 1 at design time, the Appearance property draws the control with three-dimensional effects. Setting the Appearance property to 1 also disables the BorderStyle Property.


	BackColor Property
BackColor returns or sets the background color of an object.

ForeColor returns or sets the foreground color used to display text and graphics in an object.

Syntax

Visual Basic	object.BackColor [= color]

object.ForeColor [= color]

Visual C++	OLE_COLOR object.GetBackColor();

OLE_COLOR object.GetForeColor();

object.SetBackColor(OLE_COLOR color);

object.SetForeColor(OLE_COLOR color);

The BackColor and ForeColor property syntax’s have these parts:

Part	Description

object	An object expression that evaluates to a ProgressBar control.

color	A value or constant that determines the background or foreground colors of an object, as described in Settings.

Settings

Visual Basic uses the Microsoft Windows operating environment red-green-blue (RGB) color scheme.  The settings for color are:

Setting	Description

Normal RGB colors	Colors specified by using the Color palette or by using the RGB or QBColor functions in code.

System default colors	Colors specified by system color constants listed in the Visual Basic (VB) object library in the Object Browser.  The Windows operating environment substitutes the user's choices as specified in the Control Panel settings.

For all forms and controls, the default settings at design time are:

BackColor set to the system default color specified by the constant vbWindowBackground.

ForeColor set to the system default color specified by the constant vbWindowText.

Remarks

The valid range for a normal RGB color is 0 to 16,777,215 (&HFFFFFF).  The high byte of a number in this range equals 0; the lower 3 bytes, from least to most significant byte, determine the amount of red, green, and blue, respectively.  The red, green, and blue components are each represented by a number between 0 and 255 (&HFF).  If the high byte isn't 0, Visual Basic uses the system colors, as defined in the user's the Control Panel settings and by constants listed in the Visual Basic (VB) object library in the Object Browser.

To display text in the Windows operating environment, both the text color must be solid.  If the text color you've selected isn’t displayed, the selected colors may be dithered, that is, comprised of up to three different-colored pixels.  If you choose a dithered color for the text, the nearest solid color will be substituted.


	BorderStyle Property
Returns or sets the border style for a ProgressBar object, read only at run time.

Syntax

Visual Basic	object.BorderStyle

Visual C++	int object.GetBorderStyle();

The object placeholder represents an object expression that evaluates to ProgressBar control.

Settings

The BorderStyle property settings for a ProgressBar control are:

Setting	Description

0	(Default) None.

1	Fixed Single.

Remarks

The BorderStyle property is not active unless the Appearance Property is set to 0.


	Enabled Property
Returns or sets a value that determines whether a form or control can respond to user-generated events.

Syntax

Visual Basic	object.Enabled [= boolean]

Visual C++	BOOL object.GetEnabled();

object.SetEnabled(BOOL boolean);

The Enabled property syntax has these parts:

Part	Description

object	An object expression that evaluates to a ProgressBar control.

boolean	A Boolean expression that specifies whether object can respond to user-generated events.

Settings

The settings for boolean are:

Setting	Description

True	(Default) Allows object to respond to events.

False	Prevents object from responding to events.

Remarks

The Enabled property allows forms and controls to be enabled or disabled at run time.  For example, you can disable objects that don't apply to the current state of the application.  You can also disable a control used purely for display purposes, such as a text box that provides read-only information.


PICS Progress Bar Events

The ProgressBar control has no events.


	Font Property
Returns a Font object.

Syntax

Visual Basic	object.Font

Visual C++	COleFont object.GetFont();

void object.SetFont(LPDISPATCH pIOleFont);

The Font property syntax has these parts:

Part	Description

object	An object expression that evaluates to a ProgressBar control.

Remarks

Use the Font property of an object to identify a specific Font object whose properties you want to use. For example, the following code changes the Bold property setting of a Font object identified by the Font property of a TextBox object:

Visual Basic

txtFirstName.Font.Bold = True

Visual C++

pIOleFont->SetBold(TRUE);

txtFirstName.SetFont(pIOleFont);


	ForeColor Property
BackColor returns or sets the background color of an object.

ForeColor returns or sets the foreground color used to display text and graphics in an object.

Syntax

Visual Basic	object.BackColor [= color]

object.ForeColor [= color]

Visual C++	OLE_COLOR object.GetBackColor();

OLE_COLOR object.GetForeColor();

object.SetBackColor(OLE_COLOR color);

object.SetForeColor(OLE_COLOR color);

The BackColor and ForeColor property syntax’s have these parts:

Part	Description

object	An object expression that evaluates to a ProgressBar control.

color	A value or constant that determines the background or foreground colors of an object, as described in Settings.

Settings

Visual Basic uses the Microsoft Windows operating environment red-green-blue (RGB) color scheme.  The settings for color are:

Setting	Description

Normal RGB colors	Colors specified by using the Color palette or by using the RGB or QBColor functions in code.

System default colors	Colors specified by system color constants listed in the Visual Basic (VB) object library in the Object Browser.  The Windows operating environment substitutes the user's choices as specified in the Control Panel settings.

For all forms and controls, the default settings at design time are:

BackColor set to the system default color specified by the constant vbWindowBackground.

ForeColor set to the system default color specified by the constant vbWindowText.

Remarks

The valid range for a normal RGB color is 0 to 16,777,215 (&HFFFFFF).  The high byte of a number in this range equals 0; the lower 3 bytes, from least to most significant byte, determine the amount of red, green, and blue, respectively.  The red, green, and blue components are each represented by a number between 0 and 255 (&HFF).  If the high byte isn't 0, Visual Basic uses the system colors, as defined in the user's the Control Panel settings and by constants listed in the Visual Basic (VB) object library in the Object Browser.

To display text in the Windows operating environment, both the text color must be solid.  If the text color you've selected isn’t displayed, the selected colors may be dithered, that is, comprised of up to three different-colored pixels. If you choose a dithered color for the text, the nearest solid color will be substituted.


	hWnd Property
Returns a handle to a ProgressBar control. Read-only at run time, not available at design time.

Syntax

Visual Basic	object.hWnd

Visual C++	OLE_HANDLE object.GetHWnd();

The object placeholder represents an object expression that evaluates to ProgressBar control.

Remarks

The Microsoft Windows operating environment identifies each form and control in an application by assigning it a handle, or hWnd. The hWnd property is used with Windows API calls. Many Windows operating environment functions require the hWnd of the active window as an argument.

Note  Because the value of this property can change while a program is running, never store the hWnd value in a variable.


PICS Progress Bar Methods

 AboutBox


PICS Progress Bar Properties

 Appearance

 BorderStyle

 BackColor

 Enabled

 FillColor

 Font

 ForeColor

 hWnd

 Limit

 ShowNumbers

 ShowPercentComplete

 ShowTickMarks

 Value


	ShowTickMarks Property
Returns or sets a value that determines whether the ProgressBar control displays tick marks on its face.

Syntax

Visual Basic	object.ShowTickMarks [= boolean]

Visual C++	BOOL object.GetShowTickMarks();

object.SetShowTickMarks(BOOL boolean);

The ShowTickMarks property syntax has these parts:

Part	Description

object	An object expression that evaluates to a ProgressBar control.

boolean	A Boolean expression that specifies whether object displays tick marks.

Settings

The settings for boolean are:

Setting	Description

True	Causes object to display tick marks.

False	(Default) Prevents object from displaying tick marks.


	ShowNumbers Property
Returns or sets a value that determines whether the ProgressBar control displays percent complete numbers below the progress bar.

Syntax

Visual Basic	object.ShowNumbers [= boolean]

Visual C++	BOOL object.GetShowNumbers();

object.SetShowNumbers(BOOL boolean);

The ShowNumbers property syntax has these parts:

Part	Description

object	An object expression that evaluates to a ProgressBar control.

boolean	A Boolean expression that specifies whether object displays percent complete numbers.

Settings

The settings for boolean are:

Setting	Description

True	Causes object to display percent complete numbers.

False	(Default) Prevents object from displaying percent complete numbers.


	Limit Property
Returns or sets a value that represents 100% in a ProgressBar control.

Syntax

Visual Basic	object.Limit [= boolean]

Visual C++	long object.GetLimit();

object.SetLimit(long limit);

The Limit property syntax has these parts:

Part	Description

object	An object expression that evaluates to a ProgressBar control.

limit	A Numeric expression that specifies the number that is to represent 100% in a ProgressBar control.


	ShowPercentComplete Property
Returns or sets a value that determines whether the ProgressBar control displays the percent complete number on its face.

Syntax

Visual Basic	object.ShowPercentComplete [= boolean]

Visual C++	BOOL object.GetShowPercentComplete();

object.SetShowPercentComplete(BOOL boolean);

The ShowPercentComplete property syntax has these parts:

Part	Description

object	An object expression that evaluates to a ProgressBar control.

boolean	A Boolean expression that specifies whether object displays the percent complete number on its face.

Settings

The settings for boolean are:

Setting	Description

True	Causes object to display the percent complete number on its face.

False	(Default) Prevents object from displaying the percent complete number.


	Value Property
Returns or sets a value that represents the value in a ProgressBar control.

Syntax

Visual Basic	object.Value [= value]

Visual C++	long object.GetValue();

object.SetValue(long value);

The Value property syntax has these parts:

Part	Description

object	An object expression that evaluates to a ProgressBar control.

value	A Numeric expression that specifies the number that is to represent the value in a ProgressBar control.

Remarks

The percent complete is calculated as ( Value X 100 ) / Limit.


	FillColor Property
FillColor returns or sets the color of an the filler bar on a ProgressBar control.

Syntax

Visual Basic	object.FillColor [= color]

Visual C++	OLE_COLOR object.GetFillColor();

object.SetFillColor(OLE_COLOR color);

The FillColor property syntax has these parts:

Part	Description

object	An object expression that evaluates to a ProgressBar control.

color	A value or constant that determines the fill color of an object, as described in Settings.

Settings

Visual Basic uses the Microsoft Windows operating environment red-green-blue (RGB) color scheme.  The settings for color are:

Setting	Description

Normal RGB colors	Colors specified by using the Color palette or by using the RGB or QBColor functions in code.

System default colors	Colors specified by system color constants listed in the Visual Basic (VB) object library in the Object Browser.  The Windows operating environment substitutes the user's choices as specified in the Control Panel settings.

For all forms and controls, the default settings at design time are:

BackColor set to the system default color specified by the constant vbWindowBackground.

ForeColor set to the system default color specified by the constant vbWindowText.

Remarks

The valid range for a normal RGB color is 0 to 16,777,215 (&HFFFFFF).  The high byte of a number in this range equals 0; the lower 3 bytes, from least to most significant byte, determine the amount of red, green, and blue, respectively.  The red, green, and blue components are each represented by a number between 0 and 255 (&HFF).  If the high byte isn't 0, Visual Basic uses the system colors, as defined in the user's the Control Panel settings and by constants listed in the Visual Basic (VB) object library in the Object Browser.

To display text in the Windows operating environment, both the text color must be solid.  If the text color you've selected isn’t displayed, the selected colors may be dithered, that is, comprised of up to three different-colored pixels.  If you choose a dithered color for the text, the nearest solid color will be substituted.